int N = int.Parse(Console.ReadLine());
int M = int.Parse(Console.ReadLine());
int spoljni = 2*N + 2*(M-2);
int unutrasnji = 0;
if (N<1 ||M<1||N>1000000000 || M>1000000000)
{
    Console.WriteLine("error");
    Environment.Exit(0);
}
if (N%2 ==1&& M%2 ==1&&N>1 && M>1)
{
    unutrasnji = ((N-2)*(M-2)-1)/2;
    Console.WriteLine(spoljni+unutrasnji);
}
else if (N>1 && M>1)
{
    unutrasnji = ((N-2)*(M-2))/2;
    Console.WriteLine(spoljni+unutrasnji);
}
else
{
    Console.WriteLine("1");
}